Query Parameters
- limitinteger
Specifies the maximum number of endpoints to retrieve in the response. The default value is set to 20
- offsetinteger
Specifies the number of endpoints to skip before starting to retrieve the list
- searchstring
Search endpoints by subdomain or label
- sort_bystring
Sort field. Accepted values: name, status, network, label, tags, usage, created_at. Default value: created_at
- sort_directionstring
Sort direction. Accepted values: asc, desc. Default value: ASC
- networksarray
Filter by network name(s)
- statusesarray
Filter by endpoint status. Accepted values: active, paused
- labelsarray
Filter by endpoint label(s)
- dedicatedboolean
Filter for dedicated endpoints only
- is_flat_rateboolean
Filter for flat rate endpoints only
- tag_idsinteger or array
Filter endpoints by tag IDs. Can be a single integer or an array of integers. Optional. Cannot be used together with tag_labels
- tag_labelsstring or array
Filter endpoints by tag labels. Can be a single string or an array of strings. Optional. Cannot be used together with tag_ids
Returns
- dataarray
An array of data which contains the following fields:
- idstring
A unique identifier for the specific endpoint
- namestring
The endpoint subdomain
- labelstring
A descriptive label for the endpoint
- statusstring
The current status of the endpoint (active or paused)
- chainstring
The blockchain the endpoint is associated with
- networkstring
The specific network of the blockchain
- is_dedicatedboolean
Whether the endpoint is a dedicated endpoint
- is_flat_rateboolean
Whether the endpoint is a flat rate endpoint
- is_multichainboolean
Whether the endpoint is a multichain endpoint
- http_urlstring
The HTTP URL to access the endpoint
- wss_urlstring
The WebSocket URL to access the endpoint
- tagsarray
An array of tags associated with the endpoint
- tag_idinteger
The unique identifier for the tag
- labelstring
The label/name of the tag
- paginationobject
Pagination details for the response
- totalinteger
The total number of endpoints matching the query
- limitinteger
The maximum number of endpoints returned per page
- offsetinteger
The number of endpoints skipped
- errorstring
An error message if any issue occurs